jQuery(document).ready(function () {
    (function ($) {
        $('.callendar_show_node').click(function () {
            var nid = $(this).attr('id').split('_');
            if (nid.length == 2) {
                $.post("/calendar_my/node/" + nid[1], {},
                    function (data) {
                        $('.calendar-show_node').html(
                            '<div class="calendar-show_node-inner">\
                            <div class="node-calendar-title">' + data['title'] + ' <span><a href="#">закрыть</a></span></div>\
								<div class="full-version"><a href="/node/' + nid[1] + '">просмотреть материал</a></div>\
								<div class="shot-vercion">' + data['preview'] + '</div>\
								</div>'
                        );
                        $('.calendar-show_node span').click(function () {
                            $(this).parents('.calendar-show_node').html('');
                            return false;
                        });
                    }
                );
            }
            return false;
        });
        $('.new_node_preview_head').click(function () {
            if ($(this).children('span').html() == '+') {
                $(this).children('span').html('-');
                $(this).parent().children('.new_node_preview').show();
            }
            else {
                $(this).children('span').html('+');
                $(this).parent().children('.new_node_preview').hide();
            }
        });
        // Убрать с сайта ссылки на решения
        $('.taxonomy-filters td:has(a[href*=solution])').hide();
    })(jQuery);
    function setEqualHeight(columns) {
        var tallestcolumn = 0;
        columns.each(function () {
            currentHeight = jQuery(this).height();
            if (currentHeight > tallestcolumn) {
                tallestcolumn = currentHeight;
            }
        });
        columns.height(tallestcolumn);
    }

    //setEqualHeight($(".view-products .product-title"));

    jQuery("#block-search-form .form-type-textfield .form-text").ztInputHint({
        hint:'Поиск...'
    });

    jQuery('#block-menu-menu-materials ul, #block-menu-menu-activiti-information ul, #navlist ul, .select-region').superfish({
        // Apply a generic hover class.
        hoverClass:'over',
        // Disable generation of arrow mark-up.
        autoArrows:false,
        // Disable drop shadows.
        dropShadows:false,
        // Mouse delay.
        delay:Drupal.settings.nice_menus_options.delay,
        // Animation speed.
        speed:Drupal.settings.nice_menus_options.speed
        // Add in Brandon Aaron’s bgIframe plugin for IE select issues.
        // http://plugins.jquery.com/node/46/release
    }).find('ul').bgIframe({opacity:true});
    jQuery('#block-menu-menu-materials ul ul, #block-menu-menu-activiti-information ul ul, #navlist ul ul').css('display', 'none');
    // make healing "step horse"

    jQuery('.regions').show();
    setEqualHeight(jQuery('.select-region .regions .column'));
    jQuery('.regions').hide();

    jQuery("#left ul.menu > li.expanded").each(function () {
        var healing = jQuery(this);
        //var healing = jQuery("#left .block-menu li.expanded");
        if (jQuery.browser.msie && parseInt(jQuery.browser.version) == 7) {
            var h_height = healing.height() + 19;
        }
        else {
            var h_height = healing.height() + 20;
        }
        jQuery('<div class="healing"></div>').css({
            top:0,
            "position":"absolute",
            right:0,
            height:h_height,
            width:"25px",
            zIndex:2000,
            backgroundColor:"#ffffff"
        }).appendTo(this);
    });

    // png fix
    if (jQuery.browser.msie && parseInt(jQuery.browser.version) == 6) {
        DD_belatedPNG.fix('.region-header, a.logo img, #navlist ul, .icons-top a, .region-select, .authoriz, .show-hide-teaser, .node-actions a, .structure-actions a');
    }

    // add first/last
    jQuery(".block-block-main .node-news-teaser:first").addClass("first");

    // show-hide teaser news
    jQuery(".with-anonce .show-hide-teaser").live('click', function () {
        if (jQuery(this).parents(".node-teaser").hasClass("selected")) {
            jQuery(this).parents(".node-teaser").removeClass("selected");
            jQuery(this).parents(".node-teaser").find(".node-teaser-anonce").hide();
        }
        else {
            jQuery(this).parents(".node-teaser").addClass("selected");
            jQuery(this).parents(".node-teaser").find(".node-teaser-anonce").show();
        }
        return false;
    });

    // show-hide teaser structure
    jQuery(".structure-actions .show").click(function () {
        if (jQuery(this).hasClass("hide")) {
            jQuery(this).parents(".node-structure-teaser").find(".content").hide();
            jQuery(this).parents(".node-structure-teaser").removeClass("hide-content");
            jQuery(this).removeClass("hide");
            jQuery(this).text("Подробнее");
        }
        else {
            jQuery(this).parents(".node-structure-teaser").find(".content").show();
            jQuery(this).parents(".node-structure-teaser").addClass("hide-content");
            jQuery(this).addClass("hide");
            jQuery(this).text("Скрыть");
        }
        return false;
    });
    // аналогично, клик по заголовку
    jQuery(".node-structure-teaser h2 a").click(function () {
        if (jQuery(this).parents(".node-structure-teaser").hasClass("hide-content")) {
            jQuery(this).parents(".node-structure-teaser").find(".content").hide();
            jQuery(this).parents(".node-structure-teaser").removeClass("hide-content");
            jQuery(this).parents(".node-structure-teaser").find("a.show").removeClass("hide").text("Подробнее");
        }
        else {
            jQuery(this).parents(".node-structure-teaser").find(".content").show();
            jQuery(this).parents(".node-structure-teaser").addClass("hide-content");
            jQuery(this).parents(".node-structure-teaser").find("a.show").addClass("hide").text("Скрыть");
        }
        return false;
    });

    // добавить запись в блог
    jQuery(".node-actions .ins-blog").click(function () {
        if (jQuery(this).hasClass("active")) {
            jQuery(this).parents(".node-news-full").find(".blog-version").hide();
            jQuery(this).parents(".node-news-full").find(".text-version").show();
            jQuery(this).removeClass("active");
        }
        else {
            jQuery(this).parents(".node-news-full").find(".text-version").hide();
            jQuery(this).parents(".node-news-full").find(".blog-version").show();
            jQuery(this).addClass("active");
            jQuery(this).parents(".node-news-full").find("textarea").focus().select();
        }
        return false;
    });

    // активный фильтр таксономии
    //jQuery('.taxonomy-filters li span').parent('div').css({"background":"#fff"});

    // версия для печати
    jQuery('.node-actions .print').click(function () {
        window.print();
    });

    // правим оверлей
    jQuery("#overlay-container").livequery(function () {
        jQuery(this).find("#overlay .breadcrumb").css({"paddding-bottom":"20px"});
    });

    // Техподдержка
    jQuery('.toolbar-shortcuts a:contains(Техподдержка)').click(function () {
        window.location.href = "mailto:fas@isfb.ru";
        return false;
    });

    // Хак для календаря
    if(jQuery('#edit-created-1').size() > 0 && jQuery('#edit-created').size() > 0){
        // Текущее значение
        var from = jQuery('#edit-created-1').val();
        var to = jQuery('#edit-created').val();

        jQuery('#edit-created-1').datepicker( "option", "dateFormat", "yy-mm-dd 00:00:00" )
        jQuery('#edit-created').datepicker( "option", "dateFormat", "yy-mm-dd 23:59:00" )

        if(from){
            jQuery('#edit-created-1').val(from);
        }
        if(to){
            jQuery('#edit-created').val(to);
        }
    }
});

// Для формы расширенного поиска
function checkBoxSelectAll(flag) {
    if (flag == 0)
        jQuery("INPUT[name^=practice_areas][type='checkbox']").attr('checked', false);
    else
        jQuery("INPUT[name^=practice_areas][type='checkbox']").attr('checked', true);
}